/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.document.library.item.selector.web.internal.configuration;

import aQute.bnd.annotation.metatype.Meta;

import com.liferay.portal.configuration.metatype.annotations.ExtendedObjectClassDefinition;

/**
 * @author Sergio González
 */
@ExtendedObjectClassDefinition(category = "collaboration")
@Meta.OCD(
	id = "com.liferay.document.library.item.selector.web.internal.configuration.DLImageItemSelectorViewConfiguration",
	localization = "content/Language", name = "dl-image-item-selector-view-name"
)
public interface DLImageItemSelectorViewConfiguration {

	/**
	 * Set valid file extensions for uploading images to documents and media
	 * image item selector view. A file extension of * will permit all file
	 * extensions
	 */
	@Meta.AD(deflt = ".bmp|.gif|.jpeg|.jpg|.png|.tiff", required = false)
	public String[] validExtensions();

}